/* -------------- <GLOBAL> -------------- */
body {
    margin: 0px;
    padding: 0px;
    /* display: flex; */
    list-style: none;
    background-color: #161616;
    /* min-height: 100vh; */
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: white;
}

a:hover {
    color: #FFD700;
    text-decoration: none;
}

/* <CUSTOM SCROLLBAR> */
/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
    ::-webkit-scrollbar-track {
background: #161616; 
border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #383838; 
    border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #955cdb; 
}
/* -------------- </GLOBAL> -------------- */





/* -------------- <COLOUR THEME> -------------- */
.primaryCol {
    color: #161616;
}

.primaryColBackground {
    background-color: #161616;
}

.secondaryCol {
    color: #252525;
}

.secondaryColBackground {
    background-color: #252525;
}

.tertiaryCol {
    color: #f3f3f3;
}

.tertiaryColBackground {
    color: #f3f3f3;
}

.gold {
    color: #FFD700;
}

.goldBackground {
    background-color: #FFD700;
}

.cyan {
    color:#00eeff;
}
/* -------------- </COLOUR THEME> -------------- */





/* -------------- <NAVBAR> -------------- */
.navHead {
    font-family: 'Raleway', sans-serif;
    text-transform: uppercase;
    letter-spacing: 1.5px;
    font-size: 20px;
}

.navHeadSpan {
    color: #955cdb;
}
/* -------------- </NAVBAR> -------------- */





/* -------------- <SPLASH PAGE> -------------- */
.firstName {
    font-family: 'Raleway', sans-serif;
    text-transform: uppercase;
    letter-spacing: 20px;
    text-align: center;
    font-size: 60px;
    color: #575757;
}

/* .lastName {
    animation: color-change 4s infinite;
} */

/* @-webkit-keyframes color-change {
    0% { color:  #955cdb; }
    50% { color: #FFD700; }
    100% { color: #955cdb; }
} */

.desc {
    font-family: 'Open Sans', sans-serif;
    text-transform: uppercase;
    letter-spacing: 5.5px;
    text-align: end;
    font-size: 18px;
}

.info {
    font-family: 'Open Sans', sans-serif;
    letter-spacing: 2px;
    text-align: end;
    font-size: 20px;
}

.slide-right {
    animation: slide-right 1.5s;
}
@keyframes slide-right {
    from {
      margin-right: -3050px;
    }
  
    to {
      margin-right: 0%;
    }
}

.slide-left {
    animation: slide-left 1.5s;
}
@keyframes slide-left {
    from {
      margin-left: -3050px;
    }
  
    to {
      margin-left: 0%;
    }
}

.slide-up {
    animation: slide-up 1.5s;
}
@keyframes slide-up {
    from {
      margin-top: 1750px;
    }
  
    to {
      margin-top: 0%;
    }
}

.gitHubLink {
    color: #955cdb;
}
/* -------------- </SPLASH PAGE> -------------- */





/* -------------- <CARDS> -------------- */
.cardTitle {
    font-family: 'Raleway', sans-serif;
    text-transform: uppercase;
    letter-spacing: 1.5px;
    font-size: 21px;
}

.cardBody {
    font-family: 'Open Sans', sans-serif;
    /* text-transform: uppercase; */
    letter-spacing: 0.5px;
    font-size: 16px;
}
/* -------------- </CARDS> -------------- */





/* -------------- <BUTTONS> -------------- */
.btnBackground {
    text-decoration: none;
    border: none;
    color: white;
    background-color: #7948b6;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
}

.btnBackground:hover {
    text-decoration: none;
    border: none;
    color: black;
    background-color: #FFD700;
}
/* -------------- </BUTTONS> -------------- */





/* -------------- <PROJECT PAGES> -------------- */
.iFrameConfig {
    width: 100%;
    height: 450px;
}

.btnBackgroundProjectPage {
    text-decoration: none;
    border: none;
    color: white;
    background-color: #7948b6;
    position: absolute;
    left: 0;
    right: 0;
}

.btnBackgroundProjectPage:hover {
    text-decoration: none;
    border: none;
    color: black;
    background-color: #FFD700;
}
/* -------------- </PROJECT PAGES> -------------- */